Results 1 to 10 of 18

Thread: Flash Plugin

Hybrid View

  1. #1
    Join Date
    Jun 2012
    Beans
    15

    Question Flash Plugin

    Hi,

    I have a problem with Flash. After a fresh installation of Ubuntu Studio (but the same thing happened with Lubuntu) I cannot have Flash working properly on either Chromium or Firefox.

    After the installation and the update process, I installed the flash plugin-installer from the Ubuntu Software Center and then the flash plugin can't be loaded anymore because it crashes (the crash icon appears on my top panel).

    At this point, in the about : plugins page I can only see one flash plugin for both the browsers.

    Without the flash plugin-installer youtube says that my plugin needs to be upgraded.

    Thank in advance for your help.

  2. #2
    Join Date
    Jun 2012
    Beans
    15

    Re: Flash Plugin

    Ok.
    I'll add some details.
    I erased the content of my home directoy (except from pictures and music) and then installed Ubuntu Studio 12.04.
    I tried both with flashplugin-installer and adobe-flashplugin. NOTHING.
    It does not work.
    What to do?
    I touched the ceiling of my desperation process and then removed both firefox and chromium and installed chrome. It doesn'work.
    There's only one plugin in about : plugins page and when I try to watch a youtube video, it simply says: could not load plugin
    but If I remove the plugin then it says "you need flash player bla bla bla"
    What to do?

    PLEASE HELP ME.

    :'-(

  3. #3
    Join Date
    Nov 2008
    Beans
    Hidden!

    Re: Flash Plugin

    Have you tried installing "ubuntu-restricted-extras"; this package contains flash.

    https://help.ubuntu.com/community/Ub...ion#The_basics

  4. #4
    Join Date
    Jun 2012
    Beans
    15

    Re: Flash Plugin

    First of all: THANK YOU for your answer.
    I installed the package, I went to youtube and it said: "you need to upgrade..."
    After that I enabled the plugin from the about: plugins page in chrome and again the browser, while in the youtube page, says "could't load plugin".

  5. #5
    Join Date
    Jun 2009
    Location
    0:0:0:0:0:0:0:1
    Beans
    4,583
    Distro
    Xubuntu 13.04 Raring Ringtail

    Re: Flash Plugin

    Code:
    sudo apt-get purge flashplugin-installer adobe-flashplugin adobe-flash-properties-*;sudo apt-get install flashplugin-installer
    Laptop: ASUS A54C-NB91 (Storage: WD3200BEKT + MKNSSDCR60GB-DX); Desktop: Custom Build - Images included; rPi Server
    Putting your Networked Printer's scanner software to shame PHP Scanner Server
    I frequently edit my post when I have the last post

  6. #6
    Join Date
    Jun 2012
    Beans
    15

    Re: Flash Plugin

    Quote Originally Posted by pqwoerituytrueiwoq View Post
    Code:
    sudo apt-get purge flashplugin-installer adobe-flashplugin adobe-flash-properties-*;sudo apt-get install flashplugin-installer
    Thank you for your answer. I executed the command, it removed the plugins and then downloaded and installed the flashplugin but, again, on youtube page it says "could't load plug-in"...



    This is what is flash-related on about : plugins page:


    Flash - Version: 11.2 r202
    Shockwave Flash 11.2 r202
    Name: Shockwave Flash
    Version: 11.2 r202
    Location: /usr/lib/flashplugin-installer/libflashplayer.so
    Type: NPAPI

    MIME types:
    MIME type Description File extensions
    application/x-shockwave-flash Shockwave Flash
    .swf
    application/futuresplash FutureSplash Player
    .spl


    before the flash entry I have Chrome Remote Desktop Viewer, Native Client and Chrome PDF Viewer.
    Even if I disable all of them the behaviour of my browser on youtube doesn't change.
    Last edited by Trumusiate; October 22nd, 2012 at 04:16 PM.

  7. #7
    Join Date
    Jun 2011
    Location
    France
    Beans
    Hidden!
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: Flash Plugin

    What I did was install flash-aid into Firefox.

    It appears in the top right hand corner.

    Doubleclick on it (the icon), and follow its recommendations.

    This will install the correct flash into firefox, and at the same time, it will install the correct flash for google chrome.

    But remember - flash-aid is installed into firefox, not chrome.

    Also (and this may not apply to you), I would suggest not trying everything (file changes etc.) at high speed.

    You can easily end up not knowing what exactly you've done.

    Very often you need time to reflect on what you are doing/have done, and time to reflect on forum advice, and your next question.

    Flash-aid usually sorts this problem out - some people don't even click on it!
    ____________________________________
    Re-install Ubuntu keeping your data & settings "re-install rather than fix"
    Solve Chrome display issues ¬¬¬ GParted sees NO DATA! "Solved"

  8. #8
    Join Date
    Dec 2010
    Beans
    3

    Re: Flash Plugin

    Quote Originally Posted by Trumusiate View Post
    Hi,

    I have a problem with Flash. After a fresh installation of Ubuntu Studio (but the same thing happened with Lubuntu) I cannot have Flash working properly on either Chromium or Firefox.

    After the installation and the update process, I installed the flash plugin-installer from the Ubuntu Software Center and then the flash plugin can't be loaded anymore because it crashes (the crash icon appears on my top panel).

    At this point, in the about : plugins page I can only see one flash plugin for both the browsers.

    Without the flash plugin-installer youtube says that my plugin needs to be upgraded.

    Thank in advance for your help.
    1. Go to chrome://plugins/
    2. There u will find libpepflashplayer and Adobe Flash Player
    3. Allow only one of them and disable the other
    4. Done.
    Enjoy

  9. #9
    Join Date
    Apr 2005
    Location
    Permbroke Pines, Fl
    Beans
    65
    Distro
    Ubuntu 14.04 Trusty Tahr

    Lightbulb Re: Flash Plugin

    Quote Originally Posted by realbanda View Post
    1. Go to chrome://plugins/
    2. There u will find libpepflashplayer and Adobe Flash Player
    3. Allow only one of them and disable the other
    4. Done.
    Enjoy
    This was the solve for me - I had to disable /opt/google/chrome/PepperFlash/libpepflashplayer.so
    =D>
    Why use windows, when Linux opens the doors for you?

    Registered User# 400765

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •